SchedulerResourcePersistenceDelegate (The Data Transfer Scheduler Service 2.0.0-4.6.0-126202 API)
Date: 2017-07-28

org.gcube.datatransfer.scheduler.impl.state

## Class SchedulerResourcePersistenceDelegate

- java.lang.Object
- - org.gcube.common.core.persistence.GCUBEPersistenceDelegate<RESOURCEID,RESOURCE>
  - - org.gcube.common.core.persistence.GCUBEFilePersistenceDelegate<org.gcube.common.core.state.GCUBEWSResourceKey,RESOURCE>
    - - org.gcube.common.core.persistence.GCUBEWSFilePersistenceDelegate<SchedulerResource>
      - - org.gcube.datatransfer.scheduler.impl.state.SchedulerResourcePersistenceDelegate

-     public class SchedulerResourcePersistenceDelegate
      extends org.gcube.common.core.persistence.GCUBEWSFilePersistenceDelegate<SchedulerResource>

- - ### Field Summary

    - ### Fields inherited from class org.gcube.common.core.persistence.GCUBEWSFilePersistenceDelegate

      `ctxt, WSRESOURCE_FILE_SUFFIX`

    - ### Fields inherited from class org.gcube.common.core.persistence.GCUBEPersistenceDelegate

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedulerResourcePersistenceDelegate()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `onLoad(SchedulerResource resource, ObjectInputStream ois)`
    `protected void` | `onStore(SchedulerResource resource, ObjectOutputStream oos)`

    - ### Methods inherited from class org.gcube.common.core.persistence.GCUBEWSFilePersistenceDelegate

      `getFileFromResource, getIDFromFileName, getSuffix, initialise`

    - ### Methods inherited from class org.gcube.common.core.persistence.GCUBEFilePersistenceDelegate

      `getResourceIdentifiers, getStorageRoot, onLoad, onRemove, onStore`

    - ### Methods inherited from class org.gcube.common.core.persistence.GCUBEPersistenceDelegate

      `load, remove, store`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchedulerResourcePersistenceDelegate

          public SchedulerResourcePersistenceDelegate()

  - ### Method Detail

    - #### onLoad

          protected void onLoad(SchedulerResource resource,
                    ObjectInputStream ois)
                         throws Exception

      Overrides:
        `onLoad` in class `org.gcube.common.core.persistence.GCUBEWSFilePersistenceDelegate<SchedulerResource>`
      Throws:
        `Exception`

    - #### onStore

          protected void onStore(SchedulerResource resource,
                     ObjectOutputStream oos)
                          throws Exception

      Overrides:
        `onStore` in class `org.gcube.common.core.persistence.GCUBEWSFilePersistenceDelegate<SchedulerResource>`
      Throws:
        `Exception`

Copyright © 2017. All Rights Reserved.